Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1848813005: Fix HistoryEntry corruption when commit isn't for provisional entry (try #2). (Closed)

Created:
3 years, 4 months ago by Charlie Reis
Modified:
3 years, 4 months ago
Reviewers:
Nate Chapin, alexmos
CC:
chromium-reviews, darin-cc_chromium.org, nasko+codewatch_chromium.org, jam, creis+watch_chromium.org, Nate Chapin, clamy
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix HistoryEntry corruption when commit isn't for provisional entry (try #2). BUG=597322, 600238 TEST=See bug for repro steps. CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/82500315884357312b3caafb49d347ef011c296f Cr-Commit-Position: refs/heads/master@{#386785}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rebase #

Total comments: 10

Patch Set 3 : Fix nits #

Patch Set 4 : Add second test, plus updated fix. #

Patch Set 5 : Rebase #

Total comments: 4

Patch Set 6 : Fix test nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+176 lines, -1 line) Patch
M content/browser/frame_host/navigation_controller_impl_browsertest.cc View 1 2 3 4 5 2 chunks +146 lines, -0 lines 0 comments Download
M content/renderer/history_controller.cc View 1 2 3 4 5 1 chunk +30 lines, -1 line 0 comments Download

Messages

Total messages: 28 (12 generated)
Charlie Reis
Alex, can you review this test? CC'ing Nate for FYI, since he's reviewing the fix ...
3 years, 4 months ago (2016-04-01 17:28:15 UTC) #3
alexmos
Great, LGTM with a couple of nits below. https://codereview.chromium.org/1848813005/diff/1/content/browser/frame_host/navigation_controller_impl_browsertest.cc File content/browser/frame_host/navigation_controller_impl_browsertest.cc (right): https://codereview.chromium.org/1848813005/diff/1/content/browser/frame_host/navigation_controller_impl_browsertest.cc#newcode3579 content/browser/frame_host/navigation_controller_impl_browsertest.cc:3579: TestNavigationManager ...
3 years, 4 months ago (2016-04-02 00:18:54 UTC) #4
Charlie Reis
Thanks! I'll land this once I take a look at https://crbug.com/600238, in case I need ...
3 years, 4 months ago (2016-04-04 16:22:06 UTC) #5
alexmos
LGTM
3 years, 4 months ago (2016-04-04 16:48:39 UTC) #6
Charlie Reis
Ok, I've added an updated fix and a second test to this CL, rather than ...
3 years, 4 months ago (2016-04-11 16:21:43 UTC) #9
alexmos
The new test LGTM. https://codereview.chromium.org/1848813005/diff/80001/content/browser/frame_host/navigation_controller_impl_browsertest.cc File content/browser/frame_host/navigation_controller_impl_browsertest.cc (right): https://codereview.chromium.org/1848813005/diff/80001/content/browser/frame_host/navigation_controller_impl_browsertest.cc#newcode3641 content/browser/frame_host/navigation_controller_impl_browsertest.cc:3641: EXPECT_TRUE(content::ExecuteScript(root->current_frame_host(), script)); nit: no need ...
3 years, 4 months ago (2016-04-11 17:14:06 UTC) #11
Charlie Reis
Thanks. New patch up. Sorry that a rebase crept into patch set 5 with the ...
3 years, 4 months ago (2016-04-11 21:50:14 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1848813005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1848813005/100001
3 years, 4 months ago (2016-04-11 21:51:40 UTC) #14
alexmos
LGTM
3 years, 4 months ago (2016-04-11 22:11:52 UTC) #15
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/209195)
3 years, 4 months ago (2016-04-12 01:08:13 UTC) #17
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1848813005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1848813005/100001
3 years, 4 months ago (2016-04-12 04:15:54 UTC) #19
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 4 months ago (2016-04-12 04:56:31 UTC) #21
Nate Chapin
lgtm
3 years, 4 months ago (2016-04-12 19:35:27 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1848813005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1848813005/100001
3 years, 4 months ago (2016-04-12 19:49:52 UTC) #24
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 4 months ago (2016-04-12 19:56:12 UTC) #26
commit-bot: I haz the power
3 years, 4 months ago (2016-04-12 19:57:24 UTC) #28
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/82500315884357312b3caafb49d347ef011c296f
Cr-Commit-Position: refs/heads/master@{#386785}

Powered by Google App Engine
This is Rietveld 408576698